/*
    produkt ne;
    fstream plik;
    int stare_flagi = plik.flags();

    cout << "Podaj L.p.: ";
    cin >> ne.number;

    cout << "Podaj Nazwe produktu: ";
    cin >> ne.name;

    cout << "Podaj ilosc: ";
    cin >> ne.amount;

    cout << "Podaj jednostki: ";
    cin >> ne.unit;

    cout << "Podaj cene: ";
    cin >> ne.price;

    plik.open("dane.dat", ios::out|ios::trunc);

    plik.width(number_width); plik.setf(ios::fixed, ios::left);
    plik << ne.number;

    plik.flags(stare_flagi);
    plik << " ";

    plik.width(name_width); plik.setf(ios::left);
    plik << ne.name;

    plik.flags(stare_flagi);
    plik << " ";

    plik.width(amount_width); plik.setf(ios::fixed, ios::left); plik.precision(precision);
    plik << ne.amount;

    plik.flags(stare_flagi);
    plik << " ";

    plik.width(unit_width); plik.setf(ios::left); plik.precision(precision);
    plik << ne.unit;

    plik.flags(stare_flagi);
    plik << " ";

    plik.width(price_width); plik.setf(ios::fixed); plik.precision(precision);
    plik << ne.price;

    plik.flags(stare_flagi);
    plik << " ";

    plik.width(value_width); plik.setf(ios::fixed); plik.precision(precision);
    ne.value = ne.price * ne.amount;
    plik << ne.value;

    plik.flags(stare_flagi);
    plik << endl;

    plik.close();

    cout << "Podaj L.p.: ";
    cin >> ne.number;

    cout << "Podaj Nazwe produktu: ";
    cin >> ne.name;

    cout << "Podaj ilosc: ";
    cin >> ne.amount;

    cout << "Podaj jednostki: ";
    cin >> ne.unit;

    cout << "Podaj cene: ";
    cin >> ne.price;

    plik.open("dane.dat", ios::out|ios::ate|ios::app);

    plik.width(number_width); plik.setf(ios::fixed, ios::left);
    plik << ne.number;

    plik.flags(stare_flagi);
    plik << " ";

    plik.width(name_width); plik.setf(ios::left);
    plik << ne.name;

    plik.flags(stare_flagi);
    plik << " ";

    plik.width(amount_width); plik.setf(ios::fixed, ios::left); plik.precision(precision);
    plik << ne.amount;

    plik.flags(stare_flagi);
    plik << " ";

    plik.width(unit_width); plik.setf(ios::left); plik.precision(precision);
    plik << ne.unit;

    plik.flags(stare_flagi);
    plik << " ";

    plik.width(price_width); plik.setf(ios::fixed); plik.precision(precision);
    plik << ne.price;

    plik.flags(stare_flagi);
    plik << " ";

    plik.width(value_width); plik.setf(ios::fixed); plik.precision(precision);
    ne.value = ne.price * ne.amount;
    plik << ne.value;

    plik.flags(stare_flagi);
    plik << endl;

    plik.close();

    plik.open("dane.dat");

    plik.width(number_width);
    plik.setf(ios::fixed, ios::left);
    plik >> ne.number;

    plik.width(name_width);
    plik.setf(ios::left);
    plik >> ne.name;

    plik.width(amount_width);
    plik.setf(ios::fixed, ios::left);
    plik.precision(precision);
    plik >> ne.amount;

    plik.width(unit_width);
    plik.setf(ios::left);
    plik.precision(precision);
    plik >> ne.unit;

    plik.width(price_width);
    plik.setf(ios::fixed);
    plik.precision(precision);
    plik >> ne.price;

    plik.width(value_width);
    plik.setf(ios::fixed);
    plik.precision(precision);
    plik >> ne.value;

    cout << ne.number << " " << ne.name << " " << ne.amount << " " << ne.unit << " " << ne.price << " " << ne.value << endl;

    plik.width(number_width);
    plik.setf(ios::fixed, ios::left);
    plik >> ne.number;

    plik.width(name_width);
    plik.setf(ios::left);
    plik >> ne.name;

    plik.width(amount_width);
    plik.setf(ios::fixed, ios::left);
    plik.precision(precision);
    plik >> ne.amount;

    plik.width(unit_width);
    plik.setf(ios::left);
    plik.precision(precision);
    plik >> ne.unit;

    plik.width(price_width);
    plik.setf(ios::fixed);
    plik.precision(precision);
    plik >> ne.price;

    plik.width(value_width);
    plik.setf(ios::fixed);
    plik.precision(precision);
    plik >> ne.value;

    cout << ne.number << " " << ne.name << " " << ne.amount << " " << ne.unit << " " << ne.price << " " << ne.value << endl;

    plik.close();

    getch();

    */
